Subject: Re: [RFC PATCH v6 0/4] powerpc/fadump: Improvements and fixes for firmware-assisted dump.

From: Michal Hocko <[email-masked]>
Date: Mon, 16 Jul 2018 10:26:46 +0200

On Mon 16-07-18 11:32:56, Mahesh J Salgaonkar wrote:
> One of the primary issues with Firmware Assisted Dump (fadump) on Power
> is that it needs a large amount of memory to be reserved. This reserved
> memory is used for saving the contents of old crashed kernel's memory before
> fadump capture kernel uses old kernel's memory area to boot. However, This
> reserved memory area stays unused until system crash and isn't available
> for production kernel to use.

How much memory are we talking about. Regular kernel dump process needs
some reserved memory as well. Why that is not a big problem?

> Instead of setting aside a significant chunk of memory that nobody can use,
> take advantage ZONE_MOVABLE to mark a significant chunk of reserved memory
> as ZONE_MOVABLE, so that the kernel is prevented from using, but
> applications are free to use it.

Why kernel cannot use that memory while userspace can?
[...]
>  Documentation/powerpc/firmware-assisted-dump.txt |   18 +++
>  arch/powerpc/include/asm/fadump.h                |    7 +
>  arch/powerpc/kernel/fadump.c                     |  123 +++++++++++++++++--
>  arch/powerpc/platforms/pseries/hotplug-memory.c  |    7 +
>  include/linux/mmzone.h                           |    2 
>  mm/page_alloc.c                                  |  146 ++++++++++++++++++++++
>  6 files changed, 290 insertions(+), 13 deletions(-)

This is quite a large change and you didn't seem to explain why we need
it.
-- 
Michal Hocko
SUSE Labs